import type { PresetAsset } from 'presetter-types';
/** config for this preset */
export type PresetConfig = {
    /** configuration to be merged with .eslintrc */
    eslint?: Record<string, unknown>;
    /** configuration to be merged with tsconfig.json */
    tsconfig?: Record<string, unknown>;
};
/** list of configurable variables */
export type Variable = {
    /** the directory containing all source code (default: source) */
    source?: string;
    /** the directory containing all extra typing files (default: types) */
    types?: string;
    /** the directory containing all the compiled files (default: lib) */
    output?: string;
};
export declare const DEFAULT_VARIABLE: Variable;
/**
 * get the list of templates provided by this preset
 * @returns list of preset templates
 */
export default function (): Promise<PresetAsset>;
//# sourceMappingURL=index.d.ts.map